Skip to main content
`Ctrl`+`K`

# VecSetFromOptions

Configures the vector from the options database.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecSetFromOptions(Vec vec)

Collective

## Input Parameter

- vec - The vector

## Notes

To see all options, run your program with the -help option.

Must be called after `VecCreate()` but before the vector is used.

## See Also

Vectors and Parallel Data, `Vec`, `VecCreate()`, `VecSetOptionsPrefix()`

## Level

beginner

## Location

src/vec/vec/interface/vector.c

## Examples

src/dm/tutorials/ex14.c
src/ksp/ksp/tutorials/ex12.c
src/ksp/ksp/tutorials/ex18.c
src/ksp/ksp/tutorials/ex23.c
src/ksp/ksp/tutorials/ex16.c
src/ksp/ksp/tutorials/ex2.c
src/ksp/ksp/tutorials/ex15.c
src/ksp/ksp/tutorials/ex11.c
src/ksp/ksp/tutorials/ex1.c
src/ksp/ksp/tutorials/ex3.c

## Implementations

VecSetFromOptions_MPI() in src/vec/vec/impls/mpi/pbvec.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages